com.impinj.octane

## Enum MemoryBank

- java.lang.Object
- - java.lang.Enum<MemoryBank>
  - - com.impinj.octane.MemoryBank

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MemoryBank>

      public enum MemoryBank
      extends java.lang.Enum<MemoryBank>

  Gen2 defines several memory banks. Each gen2 tag implements some or all of these memory banks. Memory banks are used when performing access operations on tags See Gen2 Standard page 44
  See Also:
    `TagOp`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Epc` contains the EPC, CRC, and PC bits.
    `Reserved` contains reserved memory and includes access and kill passwords
    `Tid` contains the TID (Tag Identifier)
    `User` contains user defined content

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static MemoryBank` | `valueOf(int memoryBankValue)`
    `static MemoryBank` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MemoryBank[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Reserved

          public static final MemoryBank Reserved

      contains reserved memory and includes access and kill passwords

    - #### Epc

          public static final MemoryBank Epc

      contains the EPC, CRC, and PC bits.

    - #### Tid

          public static final MemoryBank Tid

      contains the TID (Tag Identifier)

    - #### User

          public static final MemoryBank User

      contains user defined content

  - ### Method Detail

    - #### values

          public static MemoryBank[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MemoryBank c : MemoryBank.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MemoryBank valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static MemoryBank valueOf(int memoryBankValue)

      Parameters:
        `memoryBankValue` - integer value
      Returns:
        the enumeration object corresponding to the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeration